## libargs 6.2.4

=== debian/changelog ===
libargs (6.2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 06 Nov 2020 23:30:53 +0530

libargs (6.2.3-1) unstable; urgency=medium

  * New upstream version
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 18 Oct 2020 20:53:45 +0200

libargs (6.2.2-1) unstable; urgency=medium

  * Initial release (Closes: #962193)

 -- Andreas Tille <tille@debian.org>  Tue, 14 Jul 2020 23:13:20 +0200
