=== debian/control ===
Source: libargs
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: libdevel
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/libargs
Vcs-Git: https://salsa.debian.org/med-team/libargs.git
Homepage: https://github.com/Taywee/args
Rules-Requires-Root: no

Package: libargs-dev
Architecture: all
Depends: ${misc:Depends}
Description: simple header-only C++ argument parser library
 Args is a simple, small, flexible, header-only C++ argument
 parssing library.
 .
 This is designed to appear somewhat similar to Python's argparse, but in
 C++, with static type checking, and hopefully a lot faster (also
 allowing fully nestable group logic, where Python's argparse does not).
