## libargs 6.2.6

=== debian/changelog ===
libargs (6.2.6-1ubuntu1) jammy; urgency=medium

  * debian/patches/update-catch2.patch: import catch2 version 2.13.8 to
    fix build failure with glibc 2.34.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Apr 2022 19:57:25 +0000

libargs (6.2.6-1) unstable; urgency=medium

  * Fix watchfile to detect new versions on github (routine-update)
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Apply multi-arch hints.
    + libargs-dev: Add Multi-Arch: foreign.

 -- Andreas Tille <tille@debian.org>  Sun, 29 Aug 2021 17:29:05 +0200
