=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: libargs
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: libdevel
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/libargs
 Vcs-Git: https://salsa.debian.org/med-team/libargs.git
 Homepage: https://github.com/Taywee/args
@@ -13,6 +14,7 @@
 Package: libargs-dev
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: simple header-only C++ argument parser library
  Args is a simple, small, flexible, header-only C++ argument
  parssing library.
