=== debian/changelog ===
libargs (6.4.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jul 2022 16:26:16 +0200

libargs (6.3.0-1) unstable; urgency=medium

  * New upstream version
    Closes: #1009611

 -- Andreas Tille <tille@debian.org>  Wed, 13 Apr 2022 10:18:51 +0200
