=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: libargs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: libdevel
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/libargs
 Vcs-Git: https://salsa.debian.org/med-team/libargs.git
 Homepage: https://github.com/Taywee/args
